com.google.gwt.resources.gss

## Class RenamingSubstitutionMap

- java.lang.Object
- - com.google.gwt.resources.gss.RenamingSubstitutionMap

All Implemented Interfaces:
  com.google.gwt.thirdparty.common.css.SubstitutionMap

    public class RenamingSubstitutionMap
    extends java.lang.Object
    implements com.google.gwt.thirdparty.common.css.SubstitutionMap

This SubstitutionMap is used for renaming each style classes of the ast by its corresponding obfuscated name.

It takes care of eventual prefix and does not rename external style classes.

It lists the eventual external style class candidates (class without associated obfuscation name)

### Constructor Summary

Constructors
Constructor and Description
`RenamingSubstitutionMap(java.util.Map<java.lang.String,java.util.Map<java.lang.String,java.lang.String>> replacementsWithPrefix)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `get(java.lang.String key)`
`java.util.Set<java.lang.String>` `getExternalClassCandidates()`
`java.util.Set<java.lang.String>` `getStyleClasses()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RenamingSubstitutionMap

    public RenamingSubstitutionMap(java.util.Map<java.lang.String,java.util.Map<java.lang.String,java.lang.String>> replacementsWithPrefix)

### Method Detail

#### get

    public java.lang.String get(java.lang.String key)

Specified by:
  `get` in interface `com.google.gwt.thirdparty.common.css.SubstitutionMap`

#### getStyleClasses

    public java.util.Set<java.lang.String> getStyleClasses()

#### getExternalClassCandidates

    public java.util.Set<java.lang.String> getExternalClassCandidates()